Bug 168793 - www/firefox: /usr/ports/www/firefox/work/mozilla-release/xpcom/base/nsStackWalk.cpp:1195:29: error: use of undeclared identifier '_Unwind_Backtrace' _Unwind_Reason_Code t = _Unwind_Backtrace(unwind_callback, &info);
www/firefox: /usr/ports/www/firefox/work/mozilla-release/xpcom/base/nsStackWa...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 10:20 UTC by ohartman
Modified: 2012-07-27 14:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ohartman 2012-06-07 10:20:13 UTC
Compiling port www/firefox (firefox-13.0,1) on FreeBSD 10-Current/amd64 with CLANG and FreeBSD 9.0-STABLE/amd64 with CLANG ends up in the follwowing error:


[...]
nsStackWalk.cpp
clang++ -o nsStackWalk.o -c -I../../dist/stl_wrappers -I../../dist/system_wrappers -include ../../config/gcc_hidden.h -DMOZ_GLUE_IN_PROGRAM -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DSTATIC_EXPORTABLE_JS_API -DOSTYPE=\"FreeBSD9\" -DOSARCH=FreeBSD -DEXCLUDE_SKIA_DEPENDENCIES  -DOS_LINUX=1 -DOS_POSIX=1  -D_IMPL_NS_COM -I../../ipc/chromium/src -I../../ipc/glue -I../../ipc/ipdl/_ipdlheaders  -I./../build -I../../xpcom/ds  -I. -I. -I../../dist/include -I../../dist/include/nsprpub -I/usr/local/include  -I/usr/local/include/nspr -I/usr/ports/www/firefox/work/mozilla-release/dist/include/nss      -fPIC -Qunused-arguments -I/usr/local/include -fno-rtti -Qunused-arguments -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-c++0x-extensions -Wno-extended-offsetof -Wno-invalid-offsetof -Wno-variadic-macros -Werror=return-type -Wno-unknown-wa
 rning-option -Wno-return-type-c-linkage -O2 -pipe -O2 -fno-strict-aliasing -pipe -O3 -pipe -fno-strict-aliasing -march=native -O2 -fno-exceptions -fno-strict-aliasing -std=gnu++0x -ffunction-sections -fdata-sections -pipe -DNDEBUG -DTRIMMED -fno-omit-frame-pointer  -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng15 -I/usr/local/include/drm -I/usr/local/include/gtk-unix-print-2.0    -Qunused-arguments     -I/usr/local/include -DMOZILLA_CLIENT -include ../../mozilla-config.h /usr/ports/www/firefox/work/mozilla-release/xpcom/base/nsStackWalk.cpp
/usr/ports/www/firefox/work/mozilla-release/xpcom/base/nsStackWalk.cpp:1195:29: error: use of undeclared identifier '_Unwind_Backtrace'
    _Unwind_Reason_Code t = _Unwind_Backtrace(unwind_callback, &info);
                            ^
1 error generated.
gmake[4]: *** [nsStackWalk.o] Error 1
gmake[4]: Leaving directory `/usr/ports/www/firefox/work/mozilla-release/xpcom/base'
gmake[3]: *** [libs] Error 2
gmake[3]: Leaving directory `/usr/ports/www/firefox/work/mozilla-release/xpcom'
gmake[2]: *** [libs_tier_platform] Error 2
gmake[2]: Leaving directory `/usr/ports/www/firefox/work/mozilla-release'
gmake[1]: *** [tier_platform] Error 2
gmake[1]: Leaving directory `/usr/ports/www/firefox/work/mozilla-release'
gmake: *** [default] Error 2
*** Error code 1

Stop in /usr/ports/www/firefox.
*** Error code 1

Stop in /usr/ports/www/firefox.

===>>> make failed for www/firefox
===>>> Aborting update

===>>> Update for firefox-13.0,1 failed
===>>> Aborting update

===>>> Update for firefox-i18n-13.0 failed
===>>> Aborting update

Terminated
Comment 1 Edwin Groothuis freebsd_committer 2012-06-08 00:33:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Florian Smeets freebsd_committer 2012-07-27 14:26:58 UTC
State Changed
From-To: open->closed

Should be fixed in the latest version